function [ map ] = GenMap( )
% 1000 m range, 1 data point/m
% contains a flat region
Lmap = 1000;

x=1:1000;

% w(1)=0;
% for i=2:Lmap
%     w(i) = w(i-1)+randn*5;
% end

% Integrate a white noise => Weiner process, Brownian motion in 1D
map = cumsum(5*randn(1,Lmap))+100;

figure(1)
subplot(1,2,1)
plot(map)

% Create sea at somewhere middle
sea(1:450) = ones(1,450);
sea(451:750) = zeros(1,300);
sea(751:1000) = ones(1,250);

map = map.*sea;

% Smoothing
G=tf([0 1],[10 1]);
map=lsim(G,map,x);
subplot(1,2,2)
plot(x,map)

end